メインコンテンツまでスキップ

Get the status and reason of an installable artifact

GET 

/installable-artifacts/:id/status

Gets the processing and upload status of an installable artifact. Status can be one of:

  • 'upload_requested': This status is given back when an upload has been requested for the installable artifact, but didn't get uploaded yet.
  • 'uploaded': This status indicates that the installable artifact has been uploaded, but not yet processed.
  • 'processed_valid': This status means that the uploaded installable artifact has been successfully processed and that it is a valid artifact to be used for either build distribution or store release.
  • 'processed_invalid': This means that the uploaded installable artifact has been processed and that it is an invalid artifact, it cannot be used neither for build distribution nor for store release.
  • 'ready_to_upload': This status is only given to installable artifacts that are created using the deploy step on Bitrise CI. For API uploaded artifacts this will never be set.

RequestClick to copy link

ResponsesClick to copy link

Gets installable artifact status with reason